#ifndef EXPOSURE_H
#define EXPOSURE_H

#include "FrameList.h"
#include "LCGrid.h"
#include <vector>
#include "errstr.h"

class Exposure {

public:
	Exposure(FrameList&);
	~Exposure() {};

	void doCorr(LCGrid *lc, double area);
	void printCorr();
	FrameList getFrameList();
	void setFrameList(FrameList frl);
private:
	FrameList _frameList;
	std::vector<double> *_expoCorr;

};

#endif /*EXPOSURE_H_*/
