#ifndef FRAME_H_
#define FRAME_H_

#include <vector>
#include <iostream>
#include "Gti.h"


class Frames : public Gti {

 public:
  Frames(double start, double stop, double fracExp);
  ~Frames() {};

  double getFracExp();
  double _fracExp;
  Gti getGTI();
 private:
  Gti _gti;

};

class FrameList  {
public:
	FrameList() {};
	~FrameList() {};
	void printFrames();
	void printDeadTime();
	void setGTI(Gti gti);
	GtiList _frameList;
	void setFrame(Frames frm);

	std::vector<Frames> _frames;
private:


};



#endif /*FRAME_H_*/
