//
//	relativeCorrTest: test to epic Relative Correction algorithms.
//  AI, Thu Jan 31 10:34:38 GMT 2008
//
//

#include <cassert>
#include <iostream>
#include <iomanip>
/* AI gcc4 porting
 * error: ‘strcmp’ was not declared in this scope
 * error: ‘exit’ was not declared in this scope
 */
#include <cstring>
#include <cstdlib>

#include "LightCurve.h"
#include <errstr.h>

using namespace std;

int main(int argc, char* argv[])
{

	if ((argc != 3 ) || !strcmp(argv[1],"-h") || !strcmp(argv[1],"-H"))
	    {
	      std::cout << "Usage: " << argv[0] << " rates.ds eventFile.fits" << std::endl;
	      exit(0);
	    }


	LightCurve lc((string) argv[1], (string) argv[2]);

	lc.doRelativeCorr(Spect::SRC);
	lc.getLC()->calRateAndErr();

	/*
	 * Display Light curve
	 */

	lc.getLC()->printFracExp();
	lc.getLC()->printLC();


	return 0;
}
